<template>
    <div>
        <main class="main">
            <section class="banner">
                <div class="banner__wrapper">
                    <div class="banner__background">
                        <h1 class="banner__title">Вакансии только для вас!</h1>
                        <p class="banner__desk">Выберите подходящую вакансию для вас и откликнитесь на нее! У нас есть множенство вакансий, начиная со строителя, заканчивая физиком-ядерщиком. Вы можете выбрать и ознакомиться с вакансиями поподробнее, нажав кнопку начать.</p>
                        <button href="#formVac" class="banner__btn">Заполнить форму !</button>
                        <button @click="$router.push({name:'vacanses'})" class="banner__btn">Выбрать вакансию</button>
                    </div>
                </div>
            </section>
            <section class="feedback">
                <div class="feedback__wrapper">
                    <div class="feedback__box">
                        <h2 class="feedback__headding">Оставить заявку на вакансию</h2>
                    </div>
                    <form class="form" action="https://jsonplaceholder.typicode.com/posts" method="POST" id="formVac">
                        <div class="form__group">
                            <label class="form__label form__group-feedback" for="email">Email <span class="reqiured">*</span></label>
                            <input 
                            v-model="formFeedback.email"
                            class="form__input" 
                            type="text" 
                            name="email"
                            id="email">
                        </div>
                        <div class="form__group form__group-feedback">
                            <label class="form__label" for="tel">Номер телефона <span class="reqiured">*</span></label>
                            <input
                            v-model="formFeedback.tel"
                            class="form__input" 
                            type="tel" 
                            name="tel"
                            id="tel">
                        </div>
                        <div class="form__group form__group-feedback">
                            <label class="form__label" for="vacanse">Выбранная вакансия <span class="reqiured">*</span></label>
                            <input
                            v-model="formFeedback.chooseVacanse"
                            class="form__input" 
                            type="text" 
                            name="vacanse"
                            id="vacanse">
                        </div>
                        <div class="form__group form__group-feedback">
                            <label class="form__label" for="dream">Свои пожелания(необязательно)</label>
                            <input
                            v-model="formFeedback.dream"
                            class="form__input" 
                            type="text" 
                            name="dream"
                            id="dream">
                        </div>
                        <div class="form__group form__group-center">
                            <button class="form__button" type="submit">Отправить заявку</button>
                        </div>
                    </form>
                </div>
            </section>
        </main>
    </div>
</template>

<script>
import { required, minLength, email } from 'vuelidate/lib/validators'

export default {
    data() {
        return {
            formFeedback: {
                email: "",
                tel: "",
                chooseVacanse: "",
                dream: ""
            }
        }
    },
    methods: {
        sendFeedback() {
            const feedback = {
                email: this.formFeedback.email,
                tel: this.formFeedback.tel,
                chooseVacanse: this.formFeedback.chooseVacanse,
                dream: this.formFeedback.dream
            }
            const feedbackFormat = JSON.stringify(feedback)
            if (this.formFeedback.login.length < 2 || this.$v.formReg.email.email === false) {
                alert("Введите данные правильно!")
            } else {
            localStorage.setItem(`${this.formFeedback.login}`, feedbackFormat)
            this.$router.push({name: 'vacanses'})
            }
        }
    },
    validations: {
        feedback: {
            login: {
                required,
                minLength: minLength(2)
            },
            email: {
                required,
                email,
            },
            tel: {
                required,
            }
        }
    }
}

</script>

<style scoped>

*{
    box-sizing: border-box;
    margin: 0;
}

.banner__btn:last-child{
    margin-left: 10px;
}

.main{
    margin-top: 100px;
}

.banner__wrapper{
    max-width: 1440px;
    margin: 0 auto;
}

.banner__background{
    background-color: #009688;
    margin: 10px 40px;
    border-radius: 25px;
    padding: 35px 70px 35px 70px;
}

.banner__title{
    font-size: 3.2rem;
}

.reqiured{
    color: red;
}

.banner__desk{
    margin-top: 10px;
}

.banner__btn{
    margin-top: 35px;
    background-color:#081935;
    color: white;
    padding: 8px 14px;
    border-radius: 10px;
}

.feedback{
    margin-top: 60px;
}

.feedback__wrapper{
    max-width: 1350px;
    margin: 0 auto;
}

.form__group-feedback{
    margin-top: 10px;
}

.feedback__headding{
    text-align: center;
}

.feedback__headding{
    font-size: 1.5rem;
}

@media screen and (max-width: 920px) {
    .banner__title{
        font-size: 1.8rem;
    }
    .banner__desk{
        font-size: 0.9rem;
    }
    .banner__btn{
        font-size: 0.9rem;
    }
}

@media screen and (max-width: 550px) {
    .banner__background{
        padding: 20px;
    }
    .banner__desk{
        font-size: 0.6rem;
    }
    .banner__btn{
        font-size: 0.8rem;
    }
    .banner__title{
        font-size: 1.4rem;
    }
    .feedback__headding{
        font-size: 1.4rem; 
    }
    label{
        font-size: 0.9rem;
    }
    .form__button{
        font-size: 0.9rem;
    }
}

@media screen and (max-width: 550px) {
    .banner__btn:last-child{
        margin: 10px 0;
    }
}
</style>